# Getting Payments

## Get a payment

> Get details of a payment by address.

```json
{"openapi":"3.0.0","info":{"title":"Branta API","version":"2"},"servers":[{"url":"https://staging.guardrail.branta.pro/v2","description":"Staging is meant for pre-production workflows"}],"paths":{"/payments/{payment_string}":{"get":{"summary":"Get a payment","description":"Get details of a payment by address.","parameters":[{"name":"payment_string","in":"path","required":true,"description":"The unique identifier string of the payment.","schema":{"type":"string"}}],"responses":{"200":{"description":"Payment details retrieved successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"destinations":{"type":"object","properties":{"value":{"type":"string"},"type":{"type":"string","enum":["bitcoin_address","bolt11","bolt12","ln_url","tether_address","ln_address","ark_address"],"description":"The type of the destination address."},"zk":{"type":"boolean"}}},"created_at":{"type":"string","format":"date-time"},"platform":{"type":"string"},"platform_logo_url":{"type":"string"},"ttl":{"type":"number","format":"integer"}}}}}},"404":{"description":"Payment not found."}}}}}}
```
